Bug 9120 - Update from 3.5 to 3.6.7 break some printers
Update from 3.5 to 3.6.7 break some printers
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: Printing
3.6.7
x64 Windows XP
: P5 critical
: ---
Assigned To: David Disseldorp
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 11:05 UTC by Marc Muehlfeld
Modified: 2014-05-15 08:32 UTC (History)
1 user (show)

See Also:


Attachments
Network trace of a failed printing job (24.19 KB, application/octet-stream)
2012-08-27 11:25 UTC, Marc Muehlfeld
no flags Details
dcerpc_spoolss_RouterReplyPrinterEx to client: \\IMMUN-10 failed: NT_STATUS_INVALID_CONNECTION (73.85 KB, application/octet-stream)
2012-08-27 13:07 UTC, Marc Muehlfeld
no flags Details
vm-02.log.bz2 (1.07 MB, application/octet-stream)
2012-08-28 14:32 UTC, Marc Muehlfeld
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Muehlfeld 2012-08-27 11:05:46 UTC
I upgraded our server from 3.5.16 to 3.6.7. But after the migration, it's not possible to print on some of our printers any more (windows explorer crashes).

I reset the lock directory to 3.5.16 an start 3.6.7 again, because I though that maybe it was just a one-time-issue, but it's still the same.

I attached a level 10 debug log. It contains the startup of 3.6.7 with the 3.5.16 lock directory and the try to print on HPLJ2420-7 (HP Laserjet 2420, PS, Driver version 60.051.506.32).

Printers that don't work any more are e. g. HP LaserJet 2420, 2300, 4250

We use LPRng 3.8.Arc4 for printing.
Comment 1 Marc Muehlfeld 2012-08-27 11:15:24 UTC
Attachment was to big for uploading (9.5 MB). I put it here:
http://www.medizinische-genetik.de/samba.tar.bz2
Comment 2 David Disseldorp 2012-08-27 11:22:21 UTC
Thanks for the report Marc.
Could you please capture network traffic over the failed print operation (only), and provide that alongside Samba level 10 logs.
Comment 3 Marc Muehlfeld 2012-08-27 11:25:49 UTC
Created attachment 7823 [details]
Network trace of a failed printing job

This network trace contains trying to print to HPLJ2420-7.
Comment 4 David Disseldorp 2012-08-27 11:57:01 UTC
The client initiates the print job at frame 470 with a StartDocPrinter spoolss request, at which point Samba responds with a server side job-id of 24.

Frame 483 shows the client request print job page creation.

Things appear to go pear shaped at frame 527, where the client requests print job change notification, to which Samba responds with an Invalid fid error.

Does the logs archive in comment#1 correspond to the same traffic captured in the comment#3 wire trace?
Comment 5 Marc Muehlfeld 2012-08-27 12:49:42 UTC
Sorry. The level 10 debug logs were create before the network trace.


I recreated the same (migration from 3.5.16 to 3.6.7 + failed print job) at once now. Find both in this archive:
http://www.medizinische-genetik.de/samba2.tar.bz2 (7.5MB)
Comment 6 David Disseldorp 2012-08-27 13:00:34 UTC
(In reply to comment #5)
> Sorry. The level 10 debug logs were create before the network trace.
> 
> 
> I recreated the same (migration from 3.5.16 to 3.6.7 + failed print job) at
> once now. Find both in this archive:
> http://www.medizinische-genetik.de/samba2.tar.bz2 (7.5MB)

Thanks Marc. Looking through the prior logs, it appears that a failed winreg_printer_openkey() request is responsible for the failed RouterRefreshPrinterChangeNotify request.
Comment 7 Marc Muehlfeld 2012-08-27 13:07:12 UTC
Created attachment 7835 [details]
dcerpc_spoolss_RouterReplyPrinterEx to client: \\IMMUN-10 failed: NT_STATUS_INVALID_CONNECTION

I don't know if it's related to this issue, but I saw, that since I switched to 3.6.7, I also have thousands of:

dcerpc_spoolss_RouterReplyPrinterEx to client: \\IMMUN-10 failed: NT_STATUS_INVALID_CONNECTION

(only the client name change) in the logfiles. I attached a level 10 debug log of the occurance.

If it's something different, let me know. Then I'll open a new bugreport for that.
Comment 8 David Disseldorp 2012-08-27 13:24:48 UTC
(In reply to comment #7)
> Created attachment 7835 [details]
> dcerpc_spoolss_RouterReplyPrinterEx to client: \\IMMUN-10 failed:
> NT_STATUS_INVALID_CONNECTION
> 
> I don't know if it's related to this issue, but I saw, that since I switched to
> 3.6.7, I also have thousands of:
> 
> dcerpc_spoolss_RouterReplyPrinterEx to client: \\IMMUN-10 failed:
> NT_STATUS_INVALID_CONNECTION

This error may be due to firewall settings on your client. Could you please retest with "print notify backchannel = no" configured in smb.conf.
Comment 9 Marc Muehlfeld 2012-08-27 14:17:14 UTC
I added "print notify backchannel = no" to my smb.conf, and run "smbcontrol all reload-config". But the "dcerpc_spoolss_RouterReplyPrinterEx to client: \\MOLEK-09 failed: NT_STATUS_INVALID_CONNECTION" messages still come up. Maybe I have to restart the services (I'll try this tonight, because it's on our live environment).


But this messages aren't such a big thing than the broken printer after migration. I just thought it could be related.
Comment 10 Marc Muehlfeld 2012-08-28 14:32:48 UTC
Created attachment 7845 [details]
vm-02.log.bz2

Maybe this problem is related to a different bug. I add this information to have it tracked here - maybe it helps fixing this issue.

Andreas Schneider fixed today for me Bug 9122. In IRC he told me, that my 3.5.17 TDBs where not migrated, what caused the messages from the other bugreport. But the problem with the crashing explorer.exe is still existing, even if I applied his patch. But maybe his patch changes something for this bugreport now. That's why I created a new level 10 debug log and attached it (it contains sending a print job what causes the explorer.exe to crash).
Comment 11 Marc Muehlfeld 2013-01-15 21:15:11 UTC
Today I tried it with 3.6.10:

The explorer window doesn't seem to hang/crash any more. But I must do some further testing to give a final "it works".
Comment 12 Marc Muehlfeld 2013-01-30 08:35:15 UTC
I switched yesterday our production to 3.6.11. With that version we don't had any problems.

But I have to say, that we switched all of the printers, that doesn't work with 3.6, before migration already to the HP Universal driver (because this is the only one, that is available for XP and W7 for that old devices). And with the Universal Driver we don't have the described problems any more.

So maybe the bug is still there with the device specific XP drivers. But I can't test this any more. But I think that if someone is still using this printers, he/she should move the driver to the HP universal driver. This is working and XP will end soon (Apr. 2014). So the most will need W7 support for that device too.


So one of the developers must decite, if this bug should be closed.
Comment 13 Marc Muehlfeld 2014-05-15 08:32:00 UTC
I close this bug report, as it works meanwhile